TCPBRIDGE(1)

NAME
tcpbridge - Bridge network traffic across two interfaces

SYNOPSIS
tcpbridge [-flag [value]]... [--opt-name [[=| ]value]]...

All arguments must be options.

tcpbridge is a tool for briding network traffic across two interfaces and optionally modifying the packets in betweeen

DESCRIPTION
This manual page documents, briefly, the tcpbridge command. The basic operation of tcpbridge is to be a network bridge between two subnets. All packets recieved on one interface are sent via the other. Optionally, packets can be edited in a variety of ways according to your needs.

OPTIONS

-d number, --dbug=number
    Enable debugging output. This option may appear up to 1 times. The default number for this option is:
     0

    If configured with --enable-debug, then you can specify a verbosity level for debugging output. Higher numbers increase verbosity.

-v, --verbose
    Print decoded packets via tcpdump to STDOUT. This option may appear up to 1 times.

-A string, --decode=string
    Arguments passed to tcpdump decoder. This option may appear up to 1 times. This option must appear in combination with the following options: verbose.

    When enabling verbose mode (-v) you may also specify one or more additional arguments to pass to tcpdump to modify the way packets are decoded. By default, -n and -l are used. Be sure to quote the arguments like: -A "-axxx" so that they are not interpreted by tcpbridge. The following arguments are vaild:
        [ -aAeNqRStuvxX ]
        [ -E spi@ipaddr algo:secret,... ]
        [ -s snaplen ]

-i string, --intf1=string
    Primary interface (listen in uni-directional mode). This option may appear up to 1 times.

-I string, --intf2=string
    Secondary interface (send in uni-directional mode). This option may appear up to 1 times.

-u, --unidir
    Send and receive in only one direction. This option may appear up to 1 times.

    Normally, tcpbridge will send and receive traffic in both directions (bi-directionally). However, if you choose this option, traffic will be sent uni-directionally.

-D string, --dmac=string
    Rewrite destination MAC addresses. This option may appear up to 1 times.

    Takes a pair of comma deliminated ethernet MAC addresses which will replace the destination MAC address of outbound packets. The first MAC address will be used for the server traffic and the optional second MAC address will be used for the client traffic. Example:
        --dmac 00:12:13:14:15:16,00:22:33:44:55:66

-S string, --smac=string
    Rewrite source MAC addresses. This option may appear up to 1 times.

    Takes a pair of comma deliminated ethernet MAC addresses which will replace the source MAC address of outbound packets. The first MAC address will be used for the server traffic and the optional second MAC address will be used for the client traffic. Example:
        --smac 00:12:13:14:15:16,00:22:33:44:55:66

-l number, --limit=number
    Limit the number of packets to send. This option may appear up to 1 times. The default number for this option is:
     -1

    By default, tcpbridge will send packets forever or until Ctrl-C. Alternatively, you can specify a maximum number of packets to send.

-x string, --include=string
    Include only packets matching rule. This option may appear up to 1 times. This option must not appear in combination with any of the following options: exclude.

    Override default of sending all packets stored in the capture file and only send packets which match the provided rule. Rules can be one of:

    S:<CIDR1>,... - Source IP must match specified CIDR(s)

    D:<CIDR1>,... - Destination IP must match specified CIDR(s)

    B:<CIDR1>,... - Both source and destination IP must match specified CIDR(s)

    E:<CIDR1>,... - Either IP must match specified CIDR(s)

    P:<LIST> - Must be one of the listed packets where the list corresponds to the packet number in the capture file.
        -x P:1-5,9,15,72-
    would send packets 1 thru 5, the 9th and 15th packet, and packets 72 until the end of the file

    F:'<bpf>' - BPF filter. See the tcpdump(8) man page for syntax.

-X string, --exclude=string
    Exclude any packet matching this rule. This option may appear up to 1 times. This option must not appear in combination with any of the following options: include.

    Override default of sending all packets stored in the capture file and only send packets which do not match the provided rule. Rules can be one of:

    S:<CIDR1>,... - Source IP must not match specified CIDR(s)

    D:<CIDR1>,... - Destination IP must not match specified CIDR(s)

    B:<CIDR1>,... - Both source and destination IP must not match specified CIDR(s)

    E:<CIDR1>,... - Either IP must not match specified CIDR(s)

    P:<LIST> - Must not be one of the listed packets where the list corresponds to the packet number in the capture file.
        -x P:1-5,9,15,72-
    would drop packets 1 thru 5, the 9th and 15th packet, and packets 72 until the end of the file

-T string, --vlan=string
    Specify 802.1q VLAN tag mode. This option may appear up to 1 times.

    Allows you to rewrite ethernet frames to add a 802.1q header to standard 802.3 ethernet headers or remove the 802.1q VLAN tag information.

    add Rewrites the existing 802.3 ethernet header as an 802.1q VLAN header

    del Rewrites the existing 802.1q VLAN header as an 802.3 ethernet header

-t number, --vlan-tag=number
    Specify the new 802.1q VLAN tag value. This option may appear up to 1 times. This option must appear in combination with the following options: vlan.

-c number, --vlan-cfi=number
    Specify the 802.1q VLAN CFI value. This option may appear up to 1 times. This option must appear in combination with the following options: vlan.

-p number, --vlan-pri=number
    Specify the 802.1q VLAN priority. This option may appear up to 1 times. This option must appear in combination with the following options: vlan.

-P, --pid
    Print the PID of tcpbridge at startup.

-V, --version
    Print version information.

-h, --less-help
    Display less usage information and exit.

-H, --help
    Display usage information and exit.

-!, --more-help
    Extended usage information passed thru pager.

- [rcfile], --save-opts[=rcfile]
    Save the option state to rcfile. The default is the last configuration file listed in the OPTION PRESETS section, below.

- rcfile, --load-opts=rcfile, --no-load-opts
    Load options from rcfile. The no-load-opts form will disable the loading of earlier RC/INI files. --no-load-opts is handled early, out of order.

OPTION PRESETS
Any option that is not marked as not presettable may be preset by loading values from configuration ("RC" or ".INI") file(s). The homerc file is "$$/", unless that is a directory. In that case, the file ".tcpbridgerc" is searched for within that directory.

SIGNALS
tcpbridge understands the following signals:

SIGUSR1 Suspend tcpbridge

SIGCONT Restart tcpbridge

SEE ALSO
tcpdump(1), tcpprep(1), tcprewrite(1), tcpreplay(1)

BUGS
tcpbridge can only send packets as fast as your computer's interface, processor and system bus will allow. Connecting both interfaces to the same subnet may create a broadcast storm and take down the network. Improper use of the packet editing functions may have other undefined and possible negative consequences. Some operating systems by default do not allow for forging source MAC addresses. Please consult your operating system's documentation and the tcpreplay FAQ if you experiance this issue.

AUTHOR
Copyright 2000-2005 Aaron Turner For support please use the tcpreplay-users@lists.sourceforge.net mailing list.

Released under the Free BSD License.

This manual page was AutoGen-erated from the tcpbridge option definitions.